shishi_ap_tktoptionsraw(3)

NAME
shishi_ap_tktoptionsraw - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_tktoptionsraw(Shishi * handle, Shishi_ap ** ap, Shishi_tkt * tkt, int options, int32_t cksumtype, const char * data, size_t len);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_ap ** ap
    pointer to new structure that holds information about AP exchange

Shishi_tkt * tkt
    ticket to set in newly created AP.

int options
    AP-REQ options to set in newly created AP.

int32_t cksumtype
    authenticator checksum type to set in AP.

const char * data
    input array with data to store in checksum field in Authenticator.

size_t len
    length of input array with data to store in checksum field in Authenticator.

DESCRIPTION
Create a new AP exchange using shishi_ap(), and set the ticket, AP-REQ apoptions and the raw Authenticator checksum data field using shishi_ap_set_tktoptionsraw(). A random session key is added to the authenticator, using the same keytype as the ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.